//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    public partial class MaDesignation
    {
        public MaDesignation()
        {
            this.Users = new HashSet<User>();
        }

        public int Id { get; set; }


        [StringLength(50)]
        [Required(ErrorMessage = "Designation is required")]
        public string Designation { get; set; }

        [Display(Name = "Enter Date")]
        [DataType(DataType.Date)]
        public Nullable<System.DateTime> Cdate { get; set; }

        private Nullable<bool> _Status;
        public bool Status
        {
            get
            {

                if (_Status == true)
                {

                    return true;
                }
                else
                {

                    return false;
                }

            }
            set
            {

                _Status = value;
            }
        }


        public virtual ICollection<User> Users { get; set; }
    }
}
